<testsuites>
  <!--Report is generated by Rally 3.0.1~dev11 at 2020-04-20T19:24:50.874341-->
  <testsuite errors="0" failures="0" id="f7890381-3aba-44bb-9836-a7e3a9381b6b" skipped="0" tests="6" time="28.00" timestamp="2020-04-20T19:07:56">
    <testcase classname="Authenticate" id="ae27285e-6333-4411-9efb-d48053c7ff6c" name="keystone" time="3.08" timestamp="2020-04-20T19:07:59" />
    <testcase classname="Authenticate" id="3247d829-6ee1-4005-a07d-10dafe936b0c" name="validate_cinder" time="2.71" timestamp="2020-04-20T19:08:04" />
    <testcase classname="Authenticate" id="13e1ac42-b0cc-4135-817f-cae8cf4d0907" name="validate_glance" time="3.38" timestamp="2020-04-20T19:08:08" />
    <testcase classname="Authenticate" id="1efcbe4c-2ad7-44cd-aada-aea7b3d9031b" name="validate_heat" time="2.78" timestamp="2020-04-20T19:08:12" />
    <testcase classname="Authenticate" id="08097983-9007-4d92-a6cf-08fd88dc66c1" name="validate_neutron" time="3.75" timestamp="2020-04-20T19:08:16" />
    <testcase classname="Authenticate" id="781750f6-483a-4bbe-b521-cbcbf7541c4d" name="validate_nova" time="3.37" timestamp="2020-04-20T19:08:20" />
  </testsuite>
  <testsuite errors="0" failures="0" id="3abe3527-08ec-4c3f-a281-c1d11b157db6" skipped="0" tests="4" time="53.00" timestamp="2020-04-20T19:08:33">
    <testcase classname="GlanceImages" id="48d73d4b-f53c-41e5-91ae-a14c385c997d" name="create_and_delete_image" time="5.99" timestamp="2020-04-20T19:08:38" />
    <testcase classname="GlanceImages" id="440bea96-4328-44cf-a22a-9c07fce2681f" name="create_and_list_image" time="8.56" timestamp="2020-04-20T19:08:44" />
    <testcase classname="GlanceImages" id="d71c2a94-26f6-4ccd-9837-aba137d1ee0d" name="list_images" time="3.06" timestamp="2020-04-20T19:08:54" />
    <testcase classname="GlanceImages" id="396faa4e-8227-425f-9f11-4890043cecf3" name="create_image_and_boot_instances" time="26.86" timestamp="2020-04-20T19:08:58" />
  </testsuite>
  <testsuite errors="0" failures="0" id="211a9f78-0c6f-4c8f-b4db-365382cd5945" skipped="0" tests="10" time="106.00" timestamp="2020-04-20T19:09:35">
    <testcase classname="CinderVolumes" id="00125e10-7f29-42c2-8693-10f935409fca" name="create_and_delete_snapshot" time="14.39" timestamp="2020-04-20T19:09:40" />
    <testcase classname="CinderVolumes" id="9f8e309e-c603-4b27-bd4f-db01ba2d2829" name="create_and_delete_volume" time="8.69" timestamp="2020-04-20T19:09:56" />
    <testcase classname="CinderVolumes" id="aba03203-f949-486b-b2f9-33f925665c10" name="create_and_delete_volume" time="11.94" timestamp="2020-04-20T19:10:06" />
    <testcase classname="CinderVolumes" id="f2654a9a-0e4f-4867-b384-dfc2565fcc8b" name="create_and_delete_volume" time="8.72" timestamp="2020-04-20T19:10:18" />
    <testcase classname="CinderVolumes" id="b68d9fe5-8860-4999-a3df-6a283ecfe2c7" name="create_and_extend_volume" time="10.57" timestamp="2020-04-20T19:10:28" />
    <testcase classname="CinderVolumes" id="f56fda1a-1216-4b3a-be80-b4dfb06920cb" name="create_from_volume_and_delete_volume" time="14.60" timestamp="2020-04-20T19:10:41" />
    <testcase classname="CinderQos" id="2d406308-d481-41c2-8f6b-97dc3c378c70" name="create_and_list_qos" time="5.84" timestamp="2020-04-20T19:10:57" />
    <testcase classname="CinderQos" id="ded8a90a-f428-4090-ad28-be700cbd2e56" name="create_and_set_qos" time="4.89" timestamp="2020-04-20T19:11:03" />
    <testcase classname="CinderVolumeTypes" id="40834e93-e41d-4d31-822b-645c7b7ed90c" name="create_and_list_volume_types" time="5.82" timestamp="2020-04-20T19:11:09" />
    <testcase classname="CinderVolumeTypes" id="9b5ea5d1-7d44-43b1-b03b-ce54249cc15a" name="create_volume_type_and_encryption_type" time="4.61" timestamp="2020-04-20T19:11:15" />
  </testsuite>
  <testsuite errors="0" failures="0" id="12a4ffc7-3f91-420a-a5d2-bf65af3a6579" skipped="0" tests="4" time="45.00" timestamp="2020-04-20T19:11:31">
    <testcase classname="HeatStacks" id="0eef0904-3ee3-43ed-bbbf-0994de5c18b3" name="create_update_delete_stack" time="11.21" timestamp="2020-04-20T19:11:37" />
    <testcase classname="HeatStacks" id="becb67d5-7833-41e6-81f8-94b03811629e" name="create_check_delete_stack" time="9.34" timestamp="2020-04-20T19:11:49" />
    <testcase classname="HeatStacks" id="30f77b39-8562-4cc1-838d-b7b1e863f896" name="create_suspend_resume_delete_stack" time="11.57" timestamp="2020-04-20T19:11:59" />
    <testcase classname="HeatStacks" id="ecf55927-bc71-415c-aa51-d24544af3808" name="list_stacks_and_resources" time="3.68" timestamp="2020-04-20T19:12:12" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6959f557-2d5f-4c1c-bfc9-36131052c410" skipped="0" tests="11" time="76.00" timestamp="2020-04-20T19:12:24">
    <testcase classname="KeystoneBasic" id="2478feff-3643-4f48-ac25-e42ca561fe41" name="add_and_remove_user_role" time="5.79" timestamp="2020-04-20T19:12:28" />
    <testcase classname="KeystoneBasic" id="1b51bb8e-66c8-4fe0-8adf-1a12907d865f" name="create_add_and_list_user_roles" time="5.33" timestamp="2020-04-20T19:12:34" />
    <testcase classname="KeystoneBasic" id="26ce04cd-cd47-4d0a-8f5a-1cc4b3ce4edc" name="create_and_list_tenants" time="5.31" timestamp="2020-04-20T19:12:40" />
    <testcase classname="KeystoneBasic" id="9c8d3277-17a9-449b-9d1c-d83f462f0453" name="create_and_delete_role" time="3.93" timestamp="2020-04-20T19:12:47" />
    <testcase classname="KeystoneBasic" id="6792f535-4f8e-4a21-87dc-2c0cc95bb850" name="create_and_delete_service" time="3.87" timestamp="2020-04-20T19:12:51" />
    <testcase classname="KeystoneBasic" id="a6a06ce2-b4de-4a55-a3da-ff8bf81d9d3a" name="get_entities" time="8.63" timestamp="2020-04-20T19:12:55" />
    <testcase classname="KeystoneBasic" id="d5478308-4218-4064-b972-17d5a9b607e0" name="create_update_and_delete_tenant" time="3.85" timestamp="2020-04-20T19:13:05" />
    <testcase classname="KeystoneBasic" id="e80a6560-bf47-4afd-ba9d-32f8fcef54fb" name="create_user" time="4.94" timestamp="2020-04-20T19:13:09" />
    <testcase classname="KeystoneBasic" id="ade6720c-cdce-447a-8048-ab198b0fcd95" name="create_tenant" time="5.51" timestamp="2020-04-20T19:13:15" />
    <testcase classname="KeystoneBasic" id="6d24af09-e7f6-463c-b6a7-cdff37880d89" name="create_and_list_users" time="5.63" timestamp="2020-04-20T19:13:21" />
    <testcase classname="KeystoneBasic" id="470faaa8-6831-42d7-b4df-5dee825adc80" name="create_tenant_with_users" time="11.42" timestamp="2020-04-20T19:13:28" />
  </testsuite>
  <testsuite errors="0" failures="0" id="aae47452-b771-473d-bebb-b9487f8cb795" skipped="0" tests="11" time="158.00" timestamp="2020-04-20T19:13:49">
    <testcase classname="NeutronNetworks" id="2d09d71e-d80c-4235-8e08-79890371ee4a" name="create_and_delete_networks" time="6.70" timestamp="2020-04-20T19:13:53" />
    <testcase classname="NeutronNetworks" id="f25dbc2c-f74f-4a46-990a-1750146f4668" name="create_and_delete_ports" time="11.62" timestamp="2020-04-20T19:14:01" />
    <testcase classname="NeutronNetworks" id="84717042-1e26-4058-afc6-ea82f5279e44" name="create_and_delete_routers" time="20.18" timestamp="2020-04-20T19:14:13" />
    <testcase classname="NeutronNetworks" id="fabe8c3b-9b8e-4d43-ac61-84a37f6083bd" name="create_and_delete_subnets" time="13.01" timestamp="2020-04-20T19:14:36" />
    <testcase classname="NeutronNetworks" id="6f76395a-88c0-4b9e-ad5b-5ac7274b3dc6" name="create_and_list_networks" time="10.16" timestamp="2020-04-20T19:14:50" />
    <testcase classname="NeutronNetworks" id="742f6207-bd21-4955-9930-edb1e78cf461" name="create_and_list_ports" time="13.19" timestamp="2020-04-20T19:15:02" />
    <testcase classname="NeutronNetworks" id="b7137d8f-f506-4f6a-8439-8915adcb9d23" name="create_and_list_routers" time="20.69" timestamp="2020-04-20T19:15:16" />
    <testcase classname="NeutronNetworks" id="20e3eb44-948b-4671-bf91-15f41d558abe" name="create_and_list_subnets" time="13.18" timestamp="2020-04-20T19:15:38" />
    <testcase classname="NeutronSecurityGroup" id="3a025d03-c26e-48ec-a163-c0a5e21a7c56" name="create_and_delete_security_groups" time="5.51" timestamp="2020-04-20T19:15:53" />
    <testcase classname="NeutronSecurityGroup" id="9e3c5847-74a9-46d0-bdd4-83c084865220" name="create_and_delete_security_group_rule" time="7.11" timestamp="2020-04-20T19:15:59" />
    <testcase classname="NeutronNetworks" id="835769a6-92c0-4e9c-a6cc-649aa8aacdaa" name="set_and_clear_router_gateway" time="18.24" timestamp="2020-04-20T19:16:07" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6d53829c-f6a5-4f78-b981-02a33df52eee" skipped="0" tests="10" time="340.00" timestamp="2020-04-20T19:16:36">
    <testcase classname="NovaServers" id="6cc6f8ba-686f-424b-9c2b-99c43325e233" name="boot_and_live_migrate_server" time="30.67" timestamp="2020-04-20T19:16:47" />
    <testcase classname="NovaServers" id="99ac62de-b745-495e-be44-99c24cc75b64" name="boot_server_attach_created_volume_and_live_migrate" time="41.13" timestamp="2020-04-20T19:17:20" />
    <testcase classname="NovaServers" id="15b6a4aa-476f-4654-aeb6-813ee8611fe5" name="boot_server_from_volume_and_live_migrate" time="35.95" timestamp="2020-04-20T19:18:02" />
    <testcase classname="NovaKeypair" id="8503051e-e138-4391-8f27-b861593b7826" name="boot_and_delete_server_with_keypair" time="28.56" timestamp="2020-04-20T19:18:38" />
    <testcase classname="NovaServers" id="277a3d69-52ba-4f13-bfa9-09b4e51d9844" name="boot_server_from_volume_and_delete" time="40.10" timestamp="2020-04-20T19:19:09" />
    <testcase classname="NovaServers" id="a814825c-a57e-4ff2-8d46-71841ef50a53" name="pause_and_unpause_server" time="31.42" timestamp="2020-04-20T19:19:49" />
    <testcase classname="NovaServers" id="ace9ef41-d435-4ea3-8353-093d6672d3be" name="boot_and_migrate_server" time="26.81" timestamp="2020-04-20T19:20:21" />
    <testcase classname="NovaServers" id="fefe2488-39ac-4ff2-a8d4-d6adab411242" name="boot_server_and_list_interfaces" time="36.96" timestamp="2020-04-20T19:20:49" />
    <testcase classname="NovaServers" id="0e11d6ac-e9c4-4daa-a5ae-fecb0d6e5ce0" name="boot_server_associate_and_dissociate_floating_ip" time="42.23" timestamp="2020-04-20T19:21:28" />
    <testcase classname="NovaServerGroups" id="1fbe6636-f37e-4b20-a88a-a8750446d747" name="create_and_delete_server_group" time="3.39" timestamp="2020-04-20T19:22:12" />
  </testsuite>
  <testsuite errors="0" failures="0" id="3ec536f1-c389-4c61-8fdc-2826058492f3" skipped="0" tests="4" time="20.00" timestamp="2020-04-20T19:22:25">
    <testcase classname="Quotas" id="0ce406ad-93cb-47dd-bf60-ff30cceb3b82" name="cinder_update_and_delete" time="3.45" timestamp="2020-04-20T19:22:29" />
    <testcase classname="Quotas" id="4f211ad0-c2c0-4721-95ce-dfa9ac50ff19" name="cinder_update" time="3.83" timestamp="2020-04-20T19:22:33" />
    <testcase classname="Quotas" id="e0440aa2-d725-4b0c-8fd5-d6e636fac9fd" name="neutron_update" time="3.47" timestamp="2020-04-20T19:22:37" />
    <testcase classname="Quotas" id="d22f3e43-87af-4a0e-8096-77f616226e9f" name="nova_update" time="3.46" timestamp="2020-04-20T19:22:41" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5849bad6-8ebf-4224-be6e-a342ec06ee88" skipped="0" tests="5" time="37.00" timestamp="2020-04-20T19:22:54">
    <testcase classname="SwiftObjects" id="2e618f20-ec56-4c9a-9eb6-d64540013fa8" name="create_container_and_object_then_list_objects" time="6.54" timestamp="2020-04-20T19:22:58" />
    <testcase classname="SwiftObjects" id="a62cf184-76da-4935-9145-95d9d089a852" name="list_objects_in_containers" time="4.42" timestamp="2020-04-20T19:23:06" />
    <testcase classname="SwiftObjects" id="4e9c53c3-351f-42ee-b1f9-2fb29694c261" name="create_container_and_object_then_download_object" time="6.89" timestamp="2020-04-20T19:23:12" />
    <testcase classname="SwiftObjects" id="0f4b6be5-aac2-41e1-97c9-5371de759cec" name="create_container_and_object_then_delete_all" time="3.98" timestamp="2020-04-20T19:23:20" />
    <testcase classname="SwiftObjects" id="4257bcf9-2270-468f-bd66-3365a3a742dc" name="list_and_download_objects_in_containers" time="4.20" timestamp="2020-04-20T19:23:24" />
  </testsuite>
  <testsuite errors="0" failures="0" id="387de499-d576-47d7-b9a9-d4e7e5a745b0" skipped="0" tests="11" time="58.00" timestamp="2020-04-20T19:23:39">
    <testcase classname="BarbicanContainers" id="bd88381f-a3f5-4dc1-ade0-b9dc6bac1823" name="create_and_add" time="2.80" timestamp="2020-04-20T19:23:44" />
    <testcase classname="BarbicanContainers" id="3d305dd1-fb06-411d-a2b9-1162e565609c" name="create_certificate_and_delete" time="2.70" timestamp="2020-04-20T19:23:48" />
    <testcase classname="BarbicanContainers" id="8858d74a-933a-4158-a58b-d2c6f7cbc45f" name="create_and_delete" time="2.78" timestamp="2020-04-20T19:23:52" />
    <testcase classname="BarbicanContainers" id="5c217bd9-1b6f-4321-8e97-e10f04c2c981" name="create_rsa_and_delete" time="3.05" timestamp="2020-04-20T19:23:56" />
    <testcase classname="BarbicanSecrets" id="fa3b977a-b258-4fbe-852d-66ecec26d3eb" name="create_and_delete" time="3.38" timestamp="2020-04-20T19:24:01" />
    <testcase classname="BarbicanSecrets" id="5817cdcd-14f6-40a3-a34a-cf8d8c3d0f04" name="create_and_get" time="5.26" timestamp="2020-04-20T19:24:05" />
    <testcase classname="BarbicanSecrets" id="d3c17a3e-7a4b-4b4f-9549-7e861d0a2ac9" name="create_and_list" time="5.25" timestamp="2020-04-20T19:24:11" />
    <testcase classname="BarbicanSecrets" id="3d902bc1-494a-480e-8c79-9baeede210d7" name="create" time="4.37" timestamp="2020-04-20T19:24:17" />
    <testcase classname="BarbicanSecrets" id="620c3c51-0c41-41db-8b75-0111502a5509" name="get" time="4.39" timestamp="2020-04-20T19:24:23" />
    <testcase classname="BarbicanContainers" id="358e22f6-176f-4ba3-b006-d7969183d787" name="list" time="2.70" timestamp="2020-04-20T19:24:29" />
    <testcase classname="BarbicanSecrets" id="72a6778a-67e3-450f-ab91-84542155c45f" name="list" time="2.64" timestamp="2020-04-20T19:24:33" />
  </testsuite>
</testsuites>
